App::Yath::Plugin::Cover(3pm)

NAME
App::Yath::Plugin::Cover - Plugin to collect and report basic coverage data

DESCRIPTION
Simple coverage data, file and sub coverage only. Use Devel::Cover if you want deep coverage stats.

PROVIDED OPTIONS

  COMMAND OPTIONS
Cover Options

--cover-aggregator ByTest
--cover-aggregator ByRun
--cover-aggregator +Custom::Aggregator
--cover-agg ByTest
--cover-agg ByRun
--cover-agg +Custom::Aggregator
--no-cover-aggregator
    Choose a custom aggregator subclass

--cover-class ARG
--cover-class=ARG
--no-cover-class
    Choose a Test2::Plugin::Cover subclass

--cover-dirs ARG
--cover-dirs=ARG
--cover-dir ARG
--cover-dir=ARG
--no-cover-dirs
    NO DESCRIPTION - FIX ME

    Can be specified multiple times

--cover-exclude-private
--no-cover-exclude-private
--cover-files
--no-cover-files
    Use Test2::Plugin::Cover to collect coverage data for what files are touched by what tests. Unlike Devel::Cover this has very little performance impact (About 4% difference)

--cover-from path/to/log.jsonl
--cover-from http://example.com/coverage
--cover-from path/to/coverage.jsonl
--no-cover-from
    This can be a test log, a coverage dump (old style json or new jsonl format), or a url to any of the previous. Tests will not be run if the file/url is invalid.

--cover-from-type json
--cover-from-type jsonl
--cover-from-type log
--no-cover-from-type
    File type for coverage source. Usually it can be detected, but when it cannot be you should specify. "json" is old style single-blob coverage data, "jsonl" is the new by-test style, "log" is a logfile from a previous run.

--cover-manager My::Coverage::Manager
--no-cover-manager
    Coverage 'from' manager to use when coverage data does not provide one

--cover-maybe-from path/to/log.jsonl
--cover-maybe-from http://example.com/coverage
--cover-maybe-from path/to/coverage.jsonl
--no-cover-maybe-from
    This can be a test log, a coverage dump (old style json or new jsonl format), or a url to any of the previous. Tests will coninue if even if the coverage file/url is invalid.

--cover-maybe-from-type json
--cover-maybe-from-type jsonl
--cover-maybe-from-type log
--no-cover-maybe-from-type
    Same as "from_type" but for "maybe_from". Defaults to "from_type" if that is specified, otherwise auto-detect

--cover-metrics
--no-cover-metrics
--cover-types ARG
--cover-types=ARG
--cover-type ARG
--cover-type=ARG
--no-cover-types
    NO DESCRIPTION - FIX ME

    Can be specified multiple times

--cover-write
--cover-write=coverage.jsonl
--cover-write=coverage.json
--no-cover-write
    Create a json or jsonl file of all coverage data seen during the run (This implies --cover-files).

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/